System.Core 3.5.0.0 4.0.0.0 System.Linq.Expressions.Expression System.Diagnostics.DebuggerTypeProxy(typeof(System.Linq.Expressions.Expression/LambdaExpressionProxy))

The type represents a lambda expression in the form of an expression tree. The type, which derives from and captures the type of the lambda expression more explicitly, can also be used to represent a lambda expression. At runtime, an expression tree node that represents a lambda expression is always of type .

The value of the property of a is .

Use the factory methods to create a object.

Describes a lambda expression. This captures a block of code that is similar to a .NET method body.

- Property
  3.5.0.0
  4.0.0.0
  System.Linq.Expressions.Expression To be added. To be added.

  Gets the body of the lambda expression.

- Method
  3.5.0.0
  4.0.0.0
  System.Delegate

  The method can be used to convert a expression tree into the delegate that it represents.

  Produces a delegate that represents the lambda expression.

  A that contains the compiled version of the lambda expression.

- Method
  4.0.0.0
  System.Delegate `` To be added.

  Produces a delegate that represents the lambda expression.

  A delegate containing the compiled version of the lambda.

  Debugging information generator used by the compiler to mark sequence points and annotate local variables.
- Method
  4.0.0.0
  System.Void `` To be added.

  Compiles the lambda into a method definition.

  A which will be used to hold the lambda's IL.
- Method
  4.0.0.0
  System.Void `` `` To be added.

  Compiles the lambda into a method definition and custom debug information.

  A which will be used to hold the lambda's IL. Debugging information generator used by the compiler to mark sequence points and annotate local variables.
- Property
  4.0.0.0
  System.String To be added.

  Used for debugging.

  Gets the name of the lambda expression.

- Property
  4.0.0.0
  System.Linq.Expressions.ExpressionType To be added. To be added.

  Returns the node type of this .

- Property
  3.5.0.0
  4.0.0.0
  System.Collections.ObjectModel.ReadOnlyCollection<System.Linq.Expressions.ParameterExpression> To be added. To be added.

  Gets the parameters of the lambda expression.

- Property
  4.0.0.0
  System.Type To be added. To be added.

  Gets the return type of the lambda expression.

- Property
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets the value that indicates if the lambda expression will be compiled with the tail call optimization.

- Property
  4.0.0.0
  System.Type To be added. To be added.

  Gets the static type of the expression that this represents.